#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		itinerary
Version: 23.04.3
Release:	%mkrel %{rel}
Summary:	Itinerary display application
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-rpm-macros

BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Location)
BuildRequires:	cmake(Qt5Positioning)
BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5QuickControls2)
BuildRequires:	cmake(Qt5QuickCompiler)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)

BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Contacts)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Holidays)
BuildRequires:	cmake(KF5NetworkManagerQt)
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Kirigami2)
BuildRequires:	cmake(KF5Prison)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5QQC2DeskopStyle)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5FileMetaData)

BuildRequires:	cmake(KPim5PkPass)
BuildRequires:	cmake(KPim5Itinerary)
BuildRequires:	cmake(KPublicTransport)
BuildRequires:	cmake(KOSMIndoorMap)
BuildRequires:	cmake(KF5UnitConversion)
BuildRequires:	cmake(KF5KirigamiAddons)
BuildRequires:	cmake(KHealthCertificate)

BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(zlib)

BuildRequires:	kitemmodels
BuildRequires:	kosmindoormap

# Runtime dependencies (itinerary won't start without these packages)
Requires:	kirigami-addons
Requires:	kitemmodels
Requires:	kopeninghours
Requires:	kosmindoormap
Requires:	kpublictransport
Requires:	prison
Requires:	qtlocation5
Requires:	qtmultimedia5
Requires:	qtquickcontrols25
Requires:	qtpositioning5

%description
Itinerary and boarding pass management application.

%files -f kde-itinerary.lang
%{_kf5_categoriesdir}/org_kde_itinerary.categories
%{_kf5_bindir}/itinerary
%{_kf5_libdir}/libSolidExtras.so
%{_kf5_qmldir}/org/kde/solidextras/libsolidextrasqmlplugin.so
%{_kf5_qmldir}/org/kde/solidextras/qmldir
%{_kf5_applicationsdir}/org.kde.itinerary.desktop
%{_kf5_knotificationsdir}/itinerary.notifyrc
%{_kf5_metainfodir}/org.kde.itinerary.appdata.xml
%{_kf5_iconsdir}/hicolor/*/*/*itinerary.*
%{_kf5_plugindir}/kfilemetadata/kfilemetadata_itineraryextractor.so
%{_kf5_plugindir}/thumbcreator/itinerarythumbnail.so

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang kde-itinerary  --all-name


%changelog
* Mon Sep 18 2023 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 1987725
- add some missing runtime dependencies (mga#32179)
+ neoclust <neoclust>
- New version 23.04.3

* Sun May 28 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1959510
- enable KHealthCertificate support

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959198
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946430
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941720
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922843
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1913411
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905190
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886711
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1883074
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873006
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853900
- New version 22.04.0

* Wed Apr 20 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1852045
- New version 22.03.90

* Wed Dec 29 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1765240
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1723993
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718288
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698485
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694024
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657139
- initial package itinerary

